/***文档注释***********************************************
 * 作者            ：
 * 创建日期     ：2018-07-27
 * 描述            ：岗位交接班统计-分条
 * 注意事项     ：
 * 遗留BUG   ：
 * 修改日期     ：
 * 修改人员     ：
 * 修改内容     ：
***********************************************************/
package market.Mes.Shift.vo;
import java.io.Serializable;
import java.util.Date;

import market.Mes.Shift.mapper.MesShiftDRptSltMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="MES_SHIFT_D_RPT_SLT", namespace=MesShiftDRptSltMapper.class)
public class MesShiftDRptSlt extends BaseVO implements Serializable {
	/** 
	 * 机台代码
	 */ 
	@Id
	private String machine_code;
	public String getMachine_code() {
		return this.machine_code;
	}
	public void setMachine_code(String machine_code) {
		this.machine_code = machine_code;
	}

	/** 
	 * 作业日期
	 */ 
	@Id
	private String wrk_date;
	public String getWrk_date() {
		return this.wrk_date;
	}
	public void setWrk_date(String wrk_date) {
		this.wrk_date = wrk_date;
	}

	/** 
	 * 作业班次（1晚、2白、3中）
	 */ 
	@Id
	private String wrk_ord;
	public String getWrk_ord() {
		return this.wrk_ord;
	}
	public void setWrk_ord(String wrk_ord) {
		this.wrk_ord = wrk_ord;
	}

	/** 
	 * 投入卷数
	 */ 
	@Column
	private Long ttl_cnt_i;
	public Long getTtl_cnt_i() {
		return this.ttl_cnt_i;
	}
	public void setTtl_cnt_i(Long ttl_cnt_i) {
		this.ttl_cnt_i = ttl_cnt_i;
	}

	/** 
	 * 投入卷重
	 */ 
	@Column
	private Double ttl_wgt_i;
	public Double getTtl_wgt_i() {
		return this.ttl_wgt_i;
	}
	public void setTtl_wgt_i(Double ttl_wgt_i) {
		this.ttl_wgt_i = ttl_wgt_i;
	}

	/** 
	 * 产出卷数
	 */ 
	@Column
	private Long ttl_cnt_o;
	public Long getTtl_cnt_o() {
		return this.ttl_cnt_o;
	}
	public void setTtl_cnt_o(Long ttl_cnt_o) {
		this.ttl_cnt_o = ttl_cnt_o;
	}

	/** 
	 * 产出卷重
	 */ 
	@Column
	private Double ttl_wgt_o;
	public Double getTtl_wgt_o() {
		return this.ttl_wgt_o;
	}
	public void setTtl_wgt_o(Double ttl_wgt_o) {
		this.ttl_wgt_o = ttl_wgt_o;
	}

	/** 
	 * 吊销卷数
	 */ 
	@Column
	private Long ttl_cnt_r;
	public Long getTtl_cnt_r() {
		return this.ttl_cnt_r;
	}
	public void setTtl_cnt_r(Long ttl_cnt_r) {
		this.ttl_cnt_r = ttl_cnt_r;
	}

	/** 
	 * 吊销卷重
	 */ 
	@Column
	private Double ttl_wgt_r;
	public Double getTtl_wgt_r() {
		return this.ttl_wgt_r;
	}
	public void setTtl_wgt_r(Double ttl_wgt_r) {
		this.ttl_wgt_r = ttl_wgt_r;
	}

	/** 
	 * 停机时间（min）
	 */ 
	@Column
	private Double time_stp;
	public Double getTime_stp() {
		return this.time_stp;
	}
	public void setTime_stp(Double time_stp) {
		this.time_stp = time_stp;
	}

	/** 
	 * 准备时间（min）
	 */ 
	@Column
	private Double time_rdy;
	public Double getTime_rdy() {
		return this.time_rdy;
	}
	public void setTime_rdy(Double time_rdy) {
		this.time_rdy = time_rdy;
	}

	/** 
	 * 生产时间（min）
	 */ 
	@Column
	private Double time_prd;
	public Double getTime_prd() {
		return this.time_prd;
	}
	public void setTime_prd(Double time_prd) {
		this.time_prd = time_prd;
	}

	/** 
	 * 电耗（kwh）
	 */ 
	@Column
	private Long energy_expended_shift;
	public Long getEnergy_expended_shift() {
		return this.energy_expended_shift;
	}
	public void setEnergy_expended_shift(Long energy_expended_shift) {
		this.energy_expended_shift = energy_expended_shift;
	}

	/** 
	 * 创建人
	 */ 
	@Column
	private String create_opr;
	public String getCreate_opr() {
		return this.create_opr;
	}
	public void setCreate_opr(String create_opr) {
		this.create_opr = create_opr;
	}

	/** 
	 * 创建时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date create_time;
	public Date getCreate_time() {
		return this.create_time;
	}
	public void setCreate_time(Date create_time) {
		this.create_time = create_time;
	}

	/** 
	 * 修改人
	 */ 
	@Column
	private String update_opr;
	public String getUpdate_opr() {
		return this.update_opr;
	}
	public void setUpdate_opr(String update_opr) {
		this.update_opr = update_opr;
	}

	/** 
	 * 修改时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date update_time;
	public Date getUpdate_time() {
		return this.update_time;
	}
	public void setUpdate_time(Date update_time) {
		this.update_time = update_time;
	}

}
